<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Author: DJ Tidzse
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."visszaszamlalo_panel/infusion_db.php";

if (!checkrights("VISS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Ellenrzi, hogy az oldal nyelvnek megfelel nyelvi fjlt tartalmaz-e a locale mappa
if (file_exists(INFUSIONS."visszaszamlalo_panel/locale/".$settings['locale'].".php")) {
	// Ha tallt, akkor betlti az oldal nyelvnek megfelel nyelvi fjlt
	include INFUSIONS."visszaszamlalo_panel/locale/".$settings['locale'].".php";
} else {
	// Ha nem tallt, akkor betlti az infusion alaprtelmezett nyelvi fjljt
	include INFUSIONS."visszaszamlalo_panel/locale/Hungarian.php";
}
	//Maximum karakterek
	add_to_head("<script src='".INFUSIONS."visszaszamlalo_panel/include/textcounter.js' type='text/javascript'></script>");
	add_to_head("<script src='".INFUSIONS."visszaszamlalo_panel/include/textcounter_d.js' type='text/javascript'></script>");
	add_to_head("<script src='".INFUSIONS."visszaszamlalo_panel/include/textcounter_h.js' type='text/javascript'></script>");
	add_to_head("<script src='".INFUSIONS."visszaszamlalo_panel/include/textcounter_m.js' type='text/javascript'></script>");
	//Styles
	add_to_head("<style type='text/css'> .counter { font-size:9px; color:#ff0000;  } .counterb { font-size:9px; } </style>");
	// Adatbzis lekrdezse
	$data = dbarray(dbquery("SELECT * FROM ".DB_VISSZASZAMLALO));
	// Admin zenetek
if (isset($_GET['statusz']) && !isset($message)) {
	if ($_GET['statusz'] == "mentes") {	$message = $locale['locale_007'];	} 
	if ($message) {	
		echo "<div class='admin-message'>".$message."</div>\n"; 
		}}
	// Verseny tartalomlekrdezse
	if (isset($_POST['mentes'])) {  
	$error = 0;
	$result = dbquery("UPDATE ".DB_VISSZASZAMLALO." SET   ev = '".addslash($_POST['ev'])."', honap = '".addslash($_POST['honap'])."', nap = '".addslash($_POST['nap'])."', megjegyzes = '".addslash($_POST['megjegyzes'])."'");
	redirect(FUSION_SELF.$aidlink."&amp;statusz=mentes");
	}

opentable($locale['locale_003']);
	echo "<form name='mentes' method='post' action='".FUSION_SELF.$aidlink."'>\n";
	echo "<table cellpadding='0' cellspacing='0' class='center tbl-border'>";
	echo "<tbody><tr>";
	echo "<td class='tbl2'>".$locale['locale_008']."</td>";
	echo "<td class='tbl2'><input type='text' id='counterc' name='ev' style='width:30px;'  value='".$data['ev']."' class='textbox' />.<input type='text'  id='counterh' style='width:17px;'  name='honap'  value='".$data['honap']."' class='textbox' />.<input type='text' name='nap'  id='counterd' style='width:17px;'  value='".$data['nap']."' class='textbox' /></td>";
	echo "</tr><tr>";
	echo "<td class='tbl2'>".$locale['locale_009']."</td>";
	echo "<td class='tbl2'><textarea name='megjegyzes'  id='counterm' cols='70' rows='12' value='".$data['megjegyzes']."' class='textbox'>".stripslashes($data['megjegyzes'])."</textarea></td>";
	echo "</tr><tr>";
	echo "<td class='tbl2' colspan='2' align='center' ><input type='submit' name='mentes' value='".$locale['locale_011']."' class='button' /></td>";
	echo "</tr></tbody></table></form>";
closetable();
require_once THEMES."templates/footer.php";
?>