<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: DJ Tidzse
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."visszaszamlalo_panel/infusion_db.php";

// Ellenrzi, hogy az oldal nyelvnek megfelel nyelvi fjlt tartalmaz-e a locale mappa
if (file_exists(INFUSIONS."visszaszamlalo_panel/locale/".$settings['locale'].".php")) {
	// Ha tallt, akkor betlti az oldal nyelvnek megfelel nyelvi fjlt
	include INFUSIONS."visszaszamlalo_panel/locale/".$settings['locale'].".php";
} else {
	// Ha nem tallt, akkor betlti az infusion alaprtelmezett nyelvi fjljt
	include INFUSIONS."visszaszamlalo_panel/locale/Hungarian.php";
}

// Infusion alap informcik
$inf_title = $locale['locale_001'];
$inf_description = $locale['locale_002'];
$inf_version = "1.0";
$inf_developer = "DJ Tidzse";
$inf_email = "djtoth@index.hu";
$inf_weburl = "http://www.maxasterisk.hu/";

$inf_folder = "visszaszamlalo_panel"; // A mappa neve, amiben az infusion tallhat


// j tbla ltrehozsa az adatbzisban
$inf_newtable[1] = DB_VISSZASZAMLALO." (
ev VARCHAR(4) NOT NULL DEFAULT '',
honap VARCHAR(2) NOT NULL DEFAULT '',
nap VARCHAR(2) NOT NULL DEFAULT '',
megjegyzes VARCHAR(250) NOT NULL DEFAULT ''
) TYPE=MyISAM;";

// Adatok bevitele egy adattblba
$inf_insertdbrow[1] = DB_VISSZASZAMLALO." (ev, honap, nap, megjegyzes) VALUES('2011', '10', '02', 'Ez egy megjegyzs a szmll 2011.10.02 ll.')";

// Infusion uninstalllsnl trlend tblk
$inf_droptable[1] = DB_VISSZASZAMLALO;

// Adminisztrcis oldal adatai
$inf_adminpanel[1] = array(
	"title" => $locale['locale_003'], 		// Admin oldal neve a listban
	"image" => "image.gif",					// Admin oldal kpe a listban
	"panel" => "admin.php",	// Admin oldal fjlja
	"rights" => "VISS"						// Egyedi admin jog (max 4 karakter) (ellenrizd, hogy ms nem hasznl-e ilyen rvidtst)
);

?>