<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: visszaszamlalo_panel.php
| Author: DJ Tidzse
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."visszaszamlalo_panel/infusion_db.php";

// Ellenrzi, hogy az oldal nyelvnek megfelel nyelvi fjlt tartalmaz-e a locale mappa
if (file_exists(INFUSIONS."visszaszamlalo_panel/locale/".$settings['locale'].".php")) {
	// Ha tallt, akkor betlti az oldal nyelvnek megfelel nyelvi fjlt
	include INFUSIONS."visszaszamlalo_panel/locale/".$settings['locale'].".php";
} else {
	// Ha nem tallt, akkor betlti az infusion alaprtelmezett nyelvi fjljt
	include INFUSIONS."visszaszamlalo_panel/locale/Hungarian.php";
}
$data = dbarray(dbquery("SELECT * FROM ".DB_VISSZASZAMLALO));
openside($locale['locale_004']);
?>
<SCRIPT language=JavaScript1.2>

function setcountdown(theyear,themonth,theday){
yr=theyear;mo=themonth;da=theday
}

 

//STEP 1: Ide rd az vet,hnapot,napot:
setcountdown(<?php echo  $data['ev']; ?>,<?php echo  $data['honap']; ?>,<?php echo  $data['nap']; ?>)

//STEP 2: 
var occasion=""
var message_on_occasion=""

//STEP 3: Itt a kinzetet varilhatod
var countdownwidth='200'
var countdownheight='30'
var countdownbgcolor=''
var opentags='<span class="small">'
var closetags='</span>'

 

var montharray=new Array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec")
var crosscount=''

function start_countdown(){
if (document.layers)
document.countdownnsmain.visibility="show"
else if (document.all||document.getElementById)
crosscount=document.getElementById&&!document.all?document.getElementById("countdownie") : countdownie
countdown()
}

if (document.all||document.getElementById)
document.write('<span id="countdownie" style="width:'+countdownwidth+'; background-color:'+countdownbgcolor+'"></span>')

window.onload=start_countdown


function countdown(){
var today=new Date()
var todayy=today.getYear()
if (todayy < 1000)
todayy+=1900
var todaym=today.getMonth()
var todayd=today.getDate()
var todayh=today.getHours()
var todaymin=today.getMinutes()
var todaysec=today.getSeconds()
var todaystring=montharray[todaym]+" "+todayd+", "+todayy+" "+todayh+":"+todaymin+":"+todaysec
futurestring=montharray[mo-1]+" "+da+", "+yr
dd=Date.parse(futurestring)-Date.parse(todaystring)
dday=Math.floor(dd/(60*60*1000*24)*1)
dhour=Math.floor((dd%(60*60*1000*24))/(60*60*1000)*1)
dmin=Math.floor(((dd%(60*60*1000*24))%(60*60*1000))/(60*1000)*1)
dsec=Math.floor((((dd%(60*60*1000*24))%(60*60*1000))%(60*1000))/1000*1)
//if on day of occasion
if(dday<=0&&dhour<=0&&dmin<=0&&dsec<=1&&todayd==da){
if (document.layers){
document.countdownnsmain.document.countdownnssub.document.write(opentags+message_on_occasion+closetags)
document.countdownnsmain.document.countdownnssub.document.close()
}
else if (document.all||document.getElementById)
crosscount.innerHTML=opentags+message_on_occasion+closetags
return
}
//if passed day of occasion
else if (dday<=-1){
if (document.layers){
document.countdownnsmain.document.countdownnssub.document.write(opentags+"<?php echo  $locale['locale_005']; ?>"+closetags)
document.countdownnsmain.document.countdownnssub.document.close()
}
else if (document.all||document.getElementById)
crosscount.innerHTML=opentags+"<?php echo  $locale['locale_005']; ?> "+closetags
return
}
//else, if not yet
else{
if (document.layers){
document.countdownnsmain.document.countdownnssub.document.write(opentags+dday+ " nap, "+dhour+" ra, "+dmin+" perc, s "+dsec+" <?php echo  $locale['locale_006']; ?> <?php echo  '<br>'.$data['megjegyzes'].'</center>'; ?> "+occasion+closetags)
document.countdownnsmain.document.countdownnssub.document.close()
}
else if (document.all||document.getElementById)
crosscount.innerHTML=opentags+dday+ " nap, "+dhour+" ra, "+dmin+" perc, s "+dsec+" <?php echo  $locale['locale_006']; ?> <?php echo '<center><br>'.$data['megjegyzes'].'</center>'; ?> "+occasion+closetags
}
setTimeout("countdown()",1000)
}
</SCRIPT>
<?
closeside();
?>